Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes.mdx
Class TMdxSelectNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.mdx.TMdxSelectNode

All Implemented Interfaces:
  Visitable

    public class TMdxSelectNode

extends TParseTreeNode

Constructor Summary
`TMdxSelectNode()`

Method Summary
`TPTNodeList<TMdxAxisNode>` | `getAxes()`
`TPTNodeList<TMdxExpNode>` | `getCellProps()`
`TMdxIdentifierNode` | `getCube()`
`TMdxSelectNode` | `getSubQuery()`
`TMdxWhereNode` | `getWhere()`
`TPTNodeList<TMdxWithNode>` | `getWiths()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5, java.lang.Object arg6)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TMdxSelectNode

    public TMdxSelectNode()

Method Detail

### getAxes

    public TPTNodeList<TMdxAxisNode> getAxes()

### getCellProps

    public TPTNodeList<TMdxExpNode> getCellProps()

### getCube

    public TMdxIdentifierNode getCube()

### getSubQuery

    public TMdxSelectNode getSubQuery()

### getWhere

    public TMdxWhereNode getWhere()

### getWiths

    public TPTNodeList<TMdxWithNode> getWiths()

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4,
                     java.lang.Object arg5,
                     java.lang.Object arg6)

  Overrides:
    `init` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD